#include<bits/stdc++.h>
using namespace std;
int N,M,a[1000000],X[1000000],Y[1000000];
int main(){

    cin>>N>>M;
    for(int i=1; i<=N; i++){
        cin>>a[i];
    }
    for(int j=1; j<=M; j++){
        cin>>X[j]>>Y[j];
    }

    cout<<M*2<<endl;



return 0;
}